CK_ARRAY_INITIALIZED(3)

NAME
ck_array_initialized - indicates whether an array was recently initialized or deinitialized

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_array.h>
bool
ck_array_initialized(ck_array_t *array);

DESCRIPTION
The ck_array_initialized(3) can be used to determine whether an array was recently initialized with ck_array_init(3) or deinitialized with ck_array_deinit(3). Behavior is undefined if a user allocates internal allocator data in through other means.

RETURN VALUES
This function returns true if the array is initialized, and false otherwise.

SEE ALSO
ck_array_commit(3), ck_array_put(3), ck_array_put_unique(3), ck_array_remove(3), ck_array_init(3) ck_array_deinit(3), ck_array_length(3), ck_array_buffer(3), CK_ARRAY_FOREACH(3)

Additional information available at http://concurrencykit.org/